# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:        5.9724e27   # Grams
  UnitLength_in_cgs:      6.371e8     # Centimeters
  UnitVelocity_in_cgs:    6.371e8     # Centimeters per second
  UnitCurrent_in_cgs:     1           # Amperes
  UnitTemp_in_cgs:        1           # Kelvin
  
# Parameters governing the time integration
TimeIntegration:
  time_begin: 0.     # The starting time of the simulation (in internal units).
  time_end:   800    # The end time of the simulation (in internal units).
  dt_min:     1e-9   # The minimal time-step size of the simulation (in internal units).
  dt_max:     1e2    # The maximal time-step size of the simulation (in internal units).

# Parameters governing the snapshots
Snapshots:
  basename:            rayleigh_taylor  # Common part of the name of output files
  time_first:          0.               # Time of the first output (in internal units)
  delta_time:          50               # Time difference between consecutive outputs (in internal units)

# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          50   # Time between statistics output

# Parameters for the hydrodynamics scheme
SPH:
  resolution_eta:        1.487    # Target smoothing length in units of the mean inter-particle separation (1.487 == 100Ngbs with the Wendland C2 kernel).
  CFL_condition:         0.1      # Courant-Friedrich-Levy condition for time integration.
  
# Parameters related to the initial conditions
InitialConditions:
  file_name:  ./rayleigh_taylor.hdf5     # The file to read
  periodic:   1
    
Scheduler:
    max_top_level_cells:      100         # Maximal number of top-level cells in any dimension.
    tasks_per_cell: 100

# Parameters related to the equation of state
EoS:
    # Select which planetary EoS material(s) to enable for use.
    planetary_use_ANEOS_forsterite:   1     # ANEOS forsterite (Stewart et al. 2019), material ID 400
    planetary_use_ANEOS_Fe85Si15:     1     # ANEOS Fe85Si15 (Stewart 2020), material ID 402
    # Tablulated EoS file paths.
    planetary_ANEOS_forsterite_table_file:  ../EoSTables/ANEOS_forsterite_S19.txt
    planetary_ANEOS_Fe85Si15_table_file:    ../EoSTables/ANEOS_Fe85Si15_S20.txt
    
ConstantPotential:
    g_cgs: [0, -991, 0]	# Gravitation accelertion calculated by GM(<R1) / R1^2
